cURL
curl --request POST \ --url https://api.mesa.dev/api/v1/{org}/repos \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "default_branch": "main", "upstream": { "uri": "<string>", "autosync": { "type": "<string>", "period": 1073771, "resolution_strategy": "none" }, "token": "<string>", "token_username": "<string>" } } '
{ "id": "<string>", "org": "<string>", "name": "<string>", "default_branch": "<string>", "head_oid": "<string>", "size_bytes": 123, "created_at": "<string>", "upstream": { "uri": "<string>", "autosync": { "type": "<string>", "period": 123, "resolution_strategy": "none" }, "last_sync_attempt": "2023-11-07T05:31:56Z", "last_sync_success": "2023-11-07T05:31:56Z", "last_sync_error": "<string>", "has_credential": true, "credential_host": "<string>" } }
Create a new repository in the organization
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
1
1 - 100
Show child attributes
Repository created
Optionally add an upstream repository. You can configure automatic syncing from the upstream repository.